#include <iostream>
using namespace std;
void ajmo(int &a)
{
    if(a>=5)
        a=a-5;
    else if(a>=2)
        a=a-2;
    else if(a>=1)
        a=a-1;
}
int main()
{
    long long int n,x[19],s=0;
    cin>>n;
    int i=0;int a=0;
    while(n>0)
    {
        x[i]=n%10;
        n/=10;
        i++;
    }
    for(int j=0;j<i;j++)
    {
        a=x[j];
        while(a!=0)
        {
            ajmo(a);
            s++;
        }
    }
    cout<<s;
   



}